RENICE(1)

NAZWA
renice - zmienia priorytet działającego procesu

SKŁADNIA

renice [--priority|--relative] priorytet [-g|-p|-u] identyfikator...

OPIS

renice zmienia priorytet jednego lub większej liczby procesów. Pierwszym parametrem jest wartość priorytetu priorytet. Kolejne parametry są interpretowane jako identyfikatory procesów, identyfikatory grup procesów, identyfikatory użytkowników lub nazwy użytkowników. renice wywołane na grupie procesów sprawia, że wszystkie procesy w grupie uzyskają ten sam priorytet. renice wywołane na użytkowniku sprawia, że wszystkie procesy, których właścicielem jest użytkownik uzyskają zmieniony priorytet.

Jeśli nie użyto opcji -n, --priority ani --relative, to priorytet jest ustawiany jako bezwzględny.

OPCJE

-n priorytet
    Określa priorytet bezwzględny lub względny (w zależności od zmiennej środowiskowej POSIXLY_CORRECT), który ma być ustawiony dla procesu, grupy procesów lub użytkownika. Użycie opcji -n jest opcjonalne, ale jeśli zostanie użyta, musi być pierwszym argumentem. Więcej informacji w UWAGACH.

--priority priorytet
    Określa bezwzględny priorytet szeregowania zadań. Priorytet jest ustawiany na podaną wartość. Jest to zachowanie domyślne, gdy nie podano żadnej opcji.

--relative priorytet
    Określa względny priorytet szeregowania zadań. Odpowiada opcji -n standardu POSIX. Priorytet zostanie zwiększony/zmniejszony o podaną wartość.

-g, --pgrp
    Interpretuje kolejne argumenty jako identyfikatory grup procesów.

-p, --pid
    Interpretuje kolejne argumenty jako identyfikatory procesów (domyślne).

-u, --user
    Interpretuje kolejne argumenty jako nazwy użytkowników lub ich identyfikatory.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PLIKI

/etc/passwd
    do przekształcenia nazw użytkowników na ich identyfikatory.

UWAGI

Użytkownicy inni niż superużytkownik mogą zmieniać jedynie priorytet własnych procesów. Dodatkowo nieuprzywilejowany użytkownik może tylko podnieść wartość "nice" (tj. obniżyć priorytet), a takie zmiany są nieodwracalne, chyba że (od Linuksa 2.6.12) użytkownik ma odpowiedni limit zasobu "nice" (zob. ulimit(1p) oraz getrlimit(2)).

Superużytkownik może zmienić priorytet każdego procesu oraz ustawić dowolną wartość z zakresu -20 do 19. Użyteczne priorytety to: 19 (dany proces będzie wykonywany tylko wtedy, gdy nic innego w systemie obecnie nie działa), 0 ("podstawowy" priorytet działania), wartości ujemne (by znacząco przyspieszyć działanie).

Z powodów historycznych, w tej implementacji, opcja -n nie jest zgodna z normą POSIX. Zamiast ustawiać względny priorytet ustawia domyślnie priorytet bezwzględny. Może nie być to oczekiwane, dlatego zachowanie to można zmodyfikować przez ustawienie zmiennej środowiskowej POSIXLY_CORRECT, w celu uzyskania pełnej zgodności z POSIX. Więcej szczegółów w opisie opcji -n. Zob. opcje --relative i --priority aby uzyskać zachowanie, które nie zależy od zmiennych środowiskowych.

HISTORIA

Polecenie renice pojawiło się w 4.0BSD.

PRZYKŁADY

Następujące polecenie zmieni priorytety procesów o identyfikatorach 987 i 32 oraz wszystkich procesów użytkowników daemon i root.

renice +1 987 -u daemon root -p 32

ZOBACZ TAKŻE

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie renice jest częścią pakietu util-linux, który można pobrać ze strony